SticksRenderer
Date: 2019-10-22

org.jmol.render

## Class SticksRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.render.FontLineShapeRenderer
    - - org.jmol.render.SticksRenderer

-     public class SticksRenderer
      extends FontLineShapeRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Atom` | `a`
    `private javajs.util.A4` | `a4`
    `private Atom` | `b`
    `private Bond` | `bond`
    `private int` | `bondOrder`
    `private boolean` | `bondsBackbone`
    `private boolean` | `bondsPerp`
    `private javajs.util.BS` | `bsForPass2`
    `private int` | `dx`
    `private int` | `dxStep`
    `private int` | `dy`
    `private int` | `dyStep`
    `private byte` | `endcaps`
    `private boolean` | `hbondsBackbone`
    `private boolean` | `hbondsSolid`
    `private boolean` | `isAntialiased`
    `private boolean` | `isCartesian`
    `private boolean` | `isPass2`
    `private int` | `mag2d`
    `private byte` | `modeMultipleBond`
    `private float` | `multipleBondRadiusFactor`
    `private float` | `multipleBondSpacing`
    `private javajs.util.P3` | `p1`
    `private javajs.util.P3` | `p2`
    `private javajs.util.M3` | `rot`
    `private double` | `rTheta`
    `private boolean` | `showMultipleBonds`
    `private boolean` | `slabbing`
    `private boolean` | `slabByAtom`
    `private boolean` | `ssbondsBackbone`
    `private boolean` | `useBananas`
    `private boolean` | `wireframeOnly`
    `private javajs.util.V3` | `x`
    `private int` | `xA`
    `private int` | `xAxis1`
    `private int` | `xAxis2`
    `private int` | `xB`
    `private javajs.util.V3` | `y`
    `private int` | `yA`
    `private int` | `yAxis1`
    `private int` | `yAxis2`
    `private int` | `yB`
    `private javajs.util.V3` | `z`
    `private int` | `zA`
    `private int` | `zB`

    - ### Fields inherited from class org.jmol.render.FontLineShapeRenderer

      `asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SticksRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `drawBanana(Atom a, Atom b, javajs.util.V3 x, int deg)`
    `private void` | `drawBond(int dottedMask)`
    `private int` | `getAromaticDottedBondMask()`
    `private void` | `getMultipleBondSettings(boolean isPymol)`
    `protected boolean` | `render()`
    `private boolean` | `renderBond()`
    `private void` | `resetAxisCoordinates()`
    `private void` | `stepAxisCoordinates()`

    - ### Methods inherited from class org.jmol.render.FontLineShapeRenderer

      `checkTickTemps, drawDashed, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### showMultipleBonds

          private boolean showMultipleBonds

    - #### multipleBondSpacing

          private float multipleBondSpacing

    - #### multipleBondRadiusFactor

          private float multipleBondRadiusFactor

    - #### bondsPerp

          private boolean bondsPerp

    - #### useBananas

          private boolean useBananas

    - #### modeMultipleBond

          private byte modeMultipleBond

    - #### isCartesian

          private boolean isCartesian

    - #### endcaps

          private byte endcaps

    - #### ssbondsBackbone

          private boolean ssbondsBackbone

    - #### hbondsBackbone

          private boolean hbondsBackbone

    - #### bondsBackbone

          private boolean bondsBackbone

    - #### hbondsSolid

          private boolean hbondsSolid

    - #### a

          private Atom a

    - #### b

          private Atom b

    - #### bond

          private Bond bond

    - #### xA

          private int xA

    - #### yA

          private int yA

    - #### zA

          private int zA

    - #### xB

          private int xB

    - #### yB

          private int yB

    - #### zB

          private int zB

    - #### dx

          private int dx

    - #### dy

          private int dy

    - #### mag2d

          private int mag2d

    - #### bondOrder

          private int bondOrder

    - #### wireframeOnly

          private boolean wireframeOnly

    - #### isAntialiased

          private boolean isAntialiased

    - #### slabbing

          private boolean slabbing

    - #### slabByAtom

          private boolean slabByAtom

    - #### x

          private final javajs.util.V3 x

    - #### y

          private final javajs.util.V3 y

    - #### z

          private final javajs.util.V3 z

    - #### p1

          private final javajs.util.P3 p1

    - #### p2

          private final javajs.util.P3 p2

    - #### bsForPass2

          private final javajs.util.BS bsForPass2

    - #### isPass2

          private boolean isPass2

    - #### rTheta

          private double rTheta

    - #### xAxis1

          private int xAxis1

    - #### yAxis1

          private int yAxis1

    - #### xAxis2

          private int xAxis2

    - #### yAxis2

          private int yAxis2

    - #### dxStep

          private int dxStep

    - #### dyStep

          private int dyStep

    - #### rot

          private javajs.util.M3 rot

    - #### a4

          private javajs.util.A4 a4

  - ### Constructor Detail

    - #### SticksRenderer

          public SticksRenderer()

  - ### Method Detail

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### getMultipleBondSettings

          private void getMultipleBondSettings(boolean isPymol)

    - #### renderBond

          private boolean renderBond()

    - #### drawBond

          private void drawBond(int dottedMask)

    - #### resetAxisCoordinates

          private void resetAxisCoordinates()

    - #### stepAxisCoordinates

          private void stepAxisCoordinates()

    - #### getAromaticDottedBondMask

          private int getAromaticDottedBondMask()

    - #### drawBanana

          private void drawBanana(Atom a,
                                  Atom b,
                                  javajs.util.V3 x,
                                  int deg)